#include <stdio.h>
#include <stdlib.h>

#include "audiodevice.h"
#include "error.h"
#include "logger.h"


AudioDevice::AudioDevice()
{
	alutInit(0, NULL);
}

AudioDevice::~AudioDevice()
{
	#ifdef	DISPLAY_DEBUG_MESSAGES
	Logger::instance()->add("DEBUG: Calling alutExit()");
	#endif
	alutExit();
	#ifdef	DISPLAY_DEBUG_MESSAGES
	Logger::instance()->add("DEBUG: Audio device deleted.");
	#endif
}
